/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.RhPagoConductorDAO;
import com.rjconsultores.ventaboletos.entidad.RhPagoConductor;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Order;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Desenvolvimento
 */
@Repository("rhPagoConductorDAO")
public class RhPagoConductorHibernateDAO extends GenericHibernateDAO<RhPagoConductor, Integer>
        implements RhPagoConductorDAO {

    @Autowired
    public RhPagoConductorHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<RhPagoConductor> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        c.addOrder(Order.asc("descrestriccion"));

        return c.list();
    }
}
